package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.AddcalRepository;
import com.realnet.basicp1.Entity.Addcal
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class AddcalService {
@Autowired
private AddcalRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Addcal Savedata(Addcal data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Addcal save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Addcal> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Addcal> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Addcal> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Addcal getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Addcal update(Addcal data,Integer id) {
	Addcal old = Repository.findById(id).get();
old.setNum_a(data.getNum_a());

old.setNum_b(data.getNum_b());

old.setCalculated_add(data.getCalculated_add());

final Addcal test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
